#接入渠道
inbound_channel:
  values:
  - channelType: inbound
    available: true
    id: testJson
    values:
    - id: testJson
      port: 9001 
      type: netty
      protocolType: http
      contentType: json
    name: 接入渠道
    started: true

#接出渠道
outbound_channel:
  values:
  - channelType: outbound
    available: true
    id: socketSSLFixLengthXmlChannel
    protocolType: socket-ssl-length-field
    contentType: xml-body
    values:
    - id: ccc
      started: true
      #设置netty pipeline中的定长处理器的属性, 另证书仓库路径keystorepath和证书仓库密码keyStorePassword如果都没指定, 网关会默认加载jdk证书仓库路的证书
      params: {lengthAdjustment: 0, prependerLengthFieldLength: 4, initialBytesToStrip: 4, charset: utf-8, lengthFieldLength: 4, lengthFieldOffset: 0, keyStorePath: 'C:/Program Files (x86)/Java/jdk1.7.0_79/jre/lib/security/cacerts', keyStorePassword: changeit}  
      type: netty
      uri: tcp://localhost:9999
    name: aa
    started: true

#路由
router:
  values:
  - id: router1
    routerMap: {'${localPort}->9001': socketSSLFixLengthXmlChannel}
    available: true
    type: default
  available: true
  pipeType: direct
  inbound: true

id: test_gateway
name: 测试网关
started: true